org.deidentifier.arx.gui.view.impl.wizard

## Class ARXWizard<T>

- java.lang.Object
- - org.eclipse.jface.wizard.Wizard
  - - org.deidentifier.arx.gui.view.impl.wizard.ARXWizard<T>

Type Parameters:
  `T` -

All Implemented Interfaces:
  org.eclipse.jface.wizard.IWizard

Direct Known Subclasses:
  HierarchyWizard, ImportWizard

    public abstract class ARXWizard<T>
    extends org.eclipse.jface.wizard.Wizard
    implements org.eclipse.jface.wizard.IWizard

This class implements an abstract base class for wizards.

Author:
  Fabian Prasser

### Field Summary

### Fields inherited from class org.eclipse.jface.wizard.Wizard

`DEFAULT_IMAGE`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`abstract T` `getResult()` Returns the result.
`boolean` `open(org.eclipse.swt.widgets.Shell shell)` Opens the dialog.
`boolean` `performFinish()`

### Methods inherited from class org.eclipse.jface.wizard.Wizard

`addPage, addPages, canFinish, createPageControls, dispose, getContainer, getDefaultPageImage, getDialogSettings, getNextPage, getPage, getPageCount, getPages, getPreviousPage, getShell, getStartingPage, getTitleBarColor, getWindowTitle, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor, performCancel, setContainer, setDefaultPageImageDescriptor, setDialogSettings, setForcePreviousAndNextButtons, setHelpAvailable, setNeedsProgressMonitor, setTitleBarColor, setWindowTitle`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.jface.wizard.IWizard

`addPages, canFinish, createPageControls, dispose, getContainer, getDefaultPageImage, getDialogSettings, getNextPage, getPage, getPageCount, getPages, getPreviousPage, getStartingPage, getTitleBarColor, getWindowTitle, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor, performCancel, setContainer`

### Method Detail

#### getResult

    public abstract T getResult()

Returns the result.

Returns:

#### open

    public boolean open(org.eclipse.swt.widgets.Shell shell)

Opens the dialog.

Parameters:
  `shell` -
Returns:
  OK pressed

#### performFinish

    public boolean performFinish()

Specified by:
  `performFinish` in interface `org.eclipse.jface.wizard.IWizard`
Specified by:
  `performFinish` in class `org.eclipse.jface.wizard.Wizard`